Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::movie_texture_node Class Reference

Inheritance diagram for openvrml::vrml97_node::movie_texture_node:

[legend]
List of all members.

## Detailed Description

MovieTexture node instances.

## Public Member Functions

| movie_texture_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~movie_texture_node () throw ()
| Destroy.
virtual movie_texture_node * | to_movie_texture () const
| Cast to a movie_texture_node.
void | update (double time)
| Update the node for the current timestamp.
virtual const openvrml::image & | image () const throw ()
| The image.
virtual size_t | frames () const throw ()
| The number of frames.

## Private Member Functions

virtual void | do_initialize (double timestamp) throw (std::bad_alloc)
| Initialize.
virtual void | do_shutdown (double timestamp) throw ()
| Shut down.
virtual viewer::texture_object_t | do_render_texture (viewer &v)
| render_texture implementation.

## Private Attributes

exposedfield< sfbool > | loop_
| loop exposedField.
set_speed_listener | set_speed_
| set_speed event handler for the speed exposedField.
sffloat | speed_
| Value for speed exposedField.
sffloat_emitter | speed_changed_
| speed_changed event emitter for the speed exposedField.
exposedfield< sftime > | start_time_
| startTime exposedField.
exposedfield< sftime > | stop_time_
| stopTime exposedField.
exposedfield< mfstring > | url_
| url exposedField.
sftime | duration_
| duration value.
sftime_emitter | duration_changed_
| duration_changed eventOut
sfbool | active_
| active state.
sfbool_emitter | is_active_
| isActive eventOut.
img * | img_
| Movie data.
openvrml::image | image_
| Frame data.
int | frame
| Index of the currently shown frame.
int | lastFrame
| Index of the previously shown frame.
double | lastFrameTime
| Timestamp corresponding to the showing of the previous frame.

## Friends

class | movie_texture_class
| Class object for MovieTexture nodes.

## Classes

class | set_speed_listener
| set_speed eventIn handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::movie_texture_node::movie_texture_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::movie_texture_node::~movie_texture_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

movie_texture_node * openvrml::vrml97_node::movie_texture_node::to_movie_texture | ( |  | ) | const`[virtual]`

Cast to a movie_texture_node.

Returns:
  a pointer to the movie_texture_node.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::movie_texture_node::update | ( | double | time | ) |

Update the node for the current timestamp.

Parameters:

  | time | the current time.

const image & openvrml::vrml97_node::movie_texture_node::image | ( |  | ) | const throw ()`[virtual]`

The image.

Returns:
  the image.

Implements openvrml::texture_node.

size_t openvrml::vrml97_node::movie_texture_node::frames | ( |  | ) | const throw ()`[virtual]`

The number of frames.

Returns:
  the number of frames.

Implements openvrml::texture_node.

void openvrml::vrml97_node::movie_texture_node::do_initialize | ( | double | timestamp | ) | throw (std::bad_alloc)`[private, virtual]`

Initialize.

Parameters:

  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::movie_texture_node::do_shutdown | ( | double | timestamp | ) | throw ()`[private, virtual]`

Shut down.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

viewer::texture_object_t openvrml::vrml97_node::movie_texture_node::do_render_texture | ( | viewer & | v | ) | `[private, virtual]`

render_texture implementation.

Parameters:

  | v | viewer.

Returns:
  object identifier for the inserted texture.

Reimplemented from openvrml::texture_node.

## Friends And Related Function Documentation

class openvrml::vrml97_node::movie_texture_node::movie_texture_class`[friend]`

| Class object for MovieTexture nodes.

## Member Data Documentation

exposedfield< sfbool > openvrml::vrml97_node::movie_texture_node::loop_ `[private]`

| loop exposedField.

movie_texture_node::set_speed_listener openvrml::vrml97_node::movie_texture_node::set_speed_ `[private]`

| set_speed event handler for the speed exposedField.

sffloat openvrml::vrml97_node::movie_texture_node::speed_ `[private]`

| Value for speed exposedField.

sffloat_emitter openvrml::vrml97_node::movie_texture_node::speed_changed_ `[private]`

| speed_changed event emitter for the speed exposedField.

exposedfield< sftime > openvrml::vrml97_node::movie_texture_node::start_time_ `[private]`

| startTime exposedField.

exposedfield< sftime > openvrml::vrml97_node::movie_texture_node::stop_time_ `[private]`

| stopTime exposedField.

exposedfield< mfstring > openvrml::vrml97_node::movie_texture_node::url_ `[private]`

| url exposedField.

sftime openvrml::vrml97_node::movie_texture_node::duration_ `[private]`

| duration value.

sftime_emitter openvrml::vrml97_node::movie_texture_node::duration_changed_ `[private]`

| duration_changed eventOut

sfbool openvrml::vrml97_node::movie_texture_node::active_ `[private]`

| active state.

sfbool_emitter openvrml::vrml97_node::movie_texture_node::is_active_ `[private]`

| isActive eventOut.

img * openvrml::vrml97_node::movie_texture_node::img_ `[private]`

| Movie data.

image openvrml::vrml97_node::movie_texture_node::image_ `[private]`

| Frame data.

int openvrml::vrml97_node::movie_texture_node::frame `[private]`

| Index of the currently shown frame.

int openvrml::vrml97_node::movie_texture_node::lastFrame `[private]`

| Index of the previously shown frame.

double openvrml::vrml97_node::movie_texture_node::lastFrameTime `[private]`

| Timestamp corresponding to the showing of the previous frame.